import React, { PureComponent } from "react";
export default class AktaPlayer extends PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      id: "player-" + (+new Date()).toString(16) + Math.floor(Math.random() * 1e8).toString(16),
      player: null
    };
    this.onScriptLoad = this.onScriptLoad.bind(this);
    // @ts-ignore
    if (!window.anvp) {
      const script = document.createElement("script");
      script.src = "https://w3.mp.lura.live/player/3.11.2/v3/scripts/anvload.js";
      script.onload = this.onScriptLoad;
      document.body.appendChild(script);
    }
  }
  onScriptLoad() {
    const config = {
      url: this.props.url,
      accessKey: this.props.accessKey,
      token: this.props.token,
      video: this.props.video
    };
    // @ts-ignore
    this.state.player = window.AnvatoPlayer(this.state.id);
    // @ts-ignore
    this.state.player.init(config);
  }
  render() {
    return /*#__PURE__*/React.createElement("div", {
      id: this.state.id
    });
  }
}
//# sourceMappingURL=AktaPlayer.web.js.map