import React, { PureComponent } from "react";
import { View } from "react-native";
import type { AktaPlayerNativeHost, AktaPlayerProps, AktaPlayerState } from "../interfaces";

import AktaPlayerNative from "./AktaPlayerNative";


export default class AktaPlayer extends PureComponent<AktaPlayerProps, AktaPlayerState> {
    private readonly native: React.RefObject<AktaPlayerNativeHost>;

    constructor(props: AktaPlayerProps) {
        super(props);
        this.native = React.createRef();
        this.state = {};
    }

    render(): JSX.Element {

        return <View>
            <AktaPlayerNative
                ref={this.native}
                url={this.props.url} // https://download.samplelib.com/mp4/sample-5s.mp4
            />
        </View>
    }

}